| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
iolink::LodImageView Class Referenceabstract

A view on an image with multiple levels of detail (LOD). More...

`#include <iolink/view/LodImageView.h>`

Inheritance diagram for iolink::LodImageView:

## Public Member Functions
virtual const Vector2i64 & | levelRange ()=0
| Give the range of available levels of resolution Level 0 is always in the range.
virtual std::shared_ptr< ImageView > | resolution (int64_t level)=0
| An ImageView of the n-th level of detail.
std::string | toString () const
| Return a string representation.
Public Member Functions inherited from iolink::View
virtual std::shared_ptr< Extension > | extension (size_t id)
| Get an extension of the view, corresponding to the given identifier.
template<typename T >
std::shared_ptr< T > | extension ()
| Get an extension of the view, corresponding to the given type.
std::shared_ptr< ViewOriginExtension > | viewOrigin ()
| Shortcut to access to ViewOrigin extension.

## Detailed Description

A view on an image with multiple levels of detail (LOD).

It is also usually called a pyramid of resolutions

- level 0 always gives the original resolution of the image
- image resolution at level N+1 is always lower than resolution at level N

## Member Function Documentation

## ◆ levelRange()

virtual const Vector2i64 & iolink::LodImageView::levelRange | ( |  | ) |
| pure virtual

Give the range of available levels of resolution Level 0 is always in the range.

(because it corresponds to the original image) First value of returned vector is the level corresponding to the highest resolution (inferior or equal to 0) Second value of returned vector is the level corresponding to the lowest resolution (superior or equal to 0)

- a negative level (< 0) gives a higher resolution of the original image
- a positive (> 0) level gives a lower resolution of the original image

Returns
  a vector of 2 values (high-res level, low-res level)

## ◆ resolution()

virtual std::shared_ptr< ImageView > iolink::LodImageView::resolution | ( | int64_t | level | ) |
| pure virtual

An ImageView of the n-th level of detail.

Parameters

  level | the level of detail

Returns
  ImageView corresponding to given level

Exceptions

  Error | if required level is not handled (out of range)

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/view/LodImageView.h